using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc;

namespace IVM.Models
{
    [Serializable]
    public class Address
    {
        [Display(Name = "Attention Of:")]
        public string? attention { get; set; }
        [Display(Name = "Invoice To:")]
        public string? invoiceTo { get; set; }
        [Display(Name = "Payee Name")]
        public string payeeName { get; set; }
        //[Display(Name = "Address Type:")]
        //public string? addressType { get; set; }
        [Key, ScaffoldColumn(false)]
        public int id { get; set; }
        [Display(Name = "Address Line 1:")]
        public string? streetLine1 { get; set; }
        [Display(Name = "Address Line 2:")]
        public string? streetLine2 { get; set; }
        [Display(Name = "City:")]
        public string? city { get; set; }
        [Display(Name = "Postal Code:")]
        public string? postalCode { get; set; }
        [Display(Name = "State/Province:")]
        public string? stateProvince { get; set; }
        [ScaffoldColumn(false)]
        public bool isActive { get; set; }
        [Display(Name = "Country Code:")]
        public string? CountryCode { get; set; }
        [ScaffoldColumn(false)]
        public int? stateProvinceId { get; set; }
        [ScaffoldColumn(false)]
        public string? modifiedBy { get; set; }
        [ScaffoldColumn(false)]
        public int? svLocationId { get; set; }
        public string? svLocationName { get; set; }
        [ScaffoldColumn(false)]
        public int? vmLocationId { get; set; }
        public string? vmLocationName { get; set; }
        public string? machineName { get; set; }
        [ScaffoldColumn(false)]
        public int machineId { get; set; }
        [ScaffoldColumn(false)]
        public int vendorId { get; set; }
        public string? vendorName { get; set; }

    }
}
